<%@ page language="java" contentType="text/html;charset=utf-8"%>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj"%>

<html:html locale="true">
<%@ include file="../common/begin.jsp"%>
<body class="content">
  <html:form action="/CmiObject">
    <html:hidden property="action" />
    <sj:titleContent usingWhere="true" tomThumb="true" />
    <sj:tabs usingWhere="true" heightTab="20">
      <sj:tab forwardControl="ActionEditJonasServer">
        <bean:message key="tab.server.jonas" />
      </sj:tab>
      <sj:tab forward="ActionEditJmxServer">
        <bean:message key="tab.server.jmx" />
      </sj:tab>
      <sj:tab forward="ActionDisplayCmi">CMI</sj:tab>
      <sj:tab forward="ActionCmiObject" selected="true"><bean:write
          name="cmiObjectForm" property="name" /> Infos</sj:tab>
      <input name="action" type="hidden" value="add" />
      <sj:panel>
        <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>
            CMI Object Global Infos
          </sj:jgColTitle>
          </sj:jgRowTitle>
        </sj:jonasgrid>

        <sj:jonasgrid>
          <sj:gridrow>
            <sj:gridcol width="5%">
        Name
      </sj:gridcol>
            <sj:gridcol width="5%">
            <bean:write name="cmiObjectForm" property="name" />
            </sj:gridcol>
            <sj:gridcol width="5%">
            </sj:gridcol>
          </sj:gridrow>
          
          <sj:gridrow>
            <sj:gridcol width="5%">
       Cluster name
      </sj:gridcol>
            <sj:gridcol width="5%">
            <bean:write name="cmiObjectForm" property="clusterName" />
            </sj:gridcol>
            <sj:gridcol width="5%">
            </sj:gridcol>
          </sj:gridrow>
          
          
           <sj:gridrow>
            <sj:gridcol width="5%">
       Interface name
      </sj:gridcol>
            <sj:gridcol width="5%">
            <bean:write name="cmiObjectForm" property="itfName" />
            </sj:gridcol>
            <sj:gridcol width="5%">
            </sj:gridcol>
          </sj:gridrow>
          
        </sj:jonasgrid>

        <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>
            Deployer servers
          </sj:jgColTitle>
          </sj:jgRowTitle>
        </sj:jonasgrid>

        <sj:jonasgrid>
        <logic:iterate id="server" name="cmiObjectForm" property="serverRefs">
          <sj:gridrow>
              <sj:gridcol width="5%">
              <bean:write name="server"/>
              </sj:gridcol>
              <sj:gridcol width="5%">
              </sj:gridcol>
              <sj:gridcol width="5%">
              </sj:gridcol>
          </sj:gridrow>
    </logic:iterate>
        </sj:jonasgrid>
      <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>
            Load Balancing infos
          </sj:jgColTitle>
          </sj:jgRowTitle>
        </sj:jonasgrid>

    <sj:jonasgrid>
        <sj:gridrow>
        <sj:gridcol width="5%">
        Policy Class
      </sj:gridcol>
  <sj:gridcol width="5%">
        <html:text name="cmiObjectForm" property="lbPolicyClass" maxlength="150" style=" width : 260px;" >
        <bean:write name="cmiObjectForm" property="lbPolicyClass" />
        </html:text>
      </sj:gridcol>
      <sj:gridcol width="5%">
      </sj:gridcol>
        </sj:gridrow>
         <sj:gridrow>
        <sj:gridcol width="5%">
        Policy Strategy
      </sj:gridcol>
  <sj:gridcol width="5%">
        <html:text name="cmiObjectForm" property="lbStrategy" maxlength="120" style=" width : 260px;">
        <bean:write name="cmiObjectForm" property="lbStrategy" />
        </html:text>
      </sj:gridcol>
      <sj:gridcol width="5%">
      </sj:gridcol>
        </sj:gridrow>
        <!-- LB infos -->
        <logic:iterate id="prop" name="cmiObjectForm" property="simpleProperties">
        <sj:gridrow>
        <sj:gridcol width="5%">
        <bean:write name="prop" property="name"/>
        </sj:gridcol>
        <sj:gridcol width="5%">
        <bean:write name="prop" property="value"/>
        </sj:gridcol>
        <sj:gridcol width="5%">
        </sj:gridcol>
        </sj:gridrow>
        </logic:iterate>
        
    <sj:gridrow>
    <sj:gridcol width="5%">
    </sj:gridcol>
    <sj:gridcol>
    <sj:jonasbutton
                  href="javascript:submitHidden('cmiObjectForm','action','lbPolicy')"
                  disabled="true" styleClass="button">
                 Modify
                </sj:jonasbutton>
     </sj:gridcol>
     <sj:gridcol width="5%">

     </sj:gridcol>

        </sj:gridrow>
        </sj:jonasgrid>

  <!-- Pool infos -->

      <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>
            Pool infos
          </sj:jgColTitle>
          </sj:jgRowTitle>
        </sj:jonasgrid>

    <sj:jonasgrid>
        <sj:gridrow>
        <sj:gridcol width="5%">
        Min pool size
      </sj:gridcol>
  <sj:gridcol width="5%">
        <html:text name="cmiObjectForm" property="minPoolSize" maxlength="120" style=" width : 260px;">
        <bean:write name="cmiObjectForm" property="minPoolSize" />
        </html:text>
      </sj:gridcol>
      <sj:gridcol width="5%">
      </sj:gridcol>
        </sj:gridrow>
         <sj:gridrow>
        <sj:gridcol width="5%">
        Max pool size
      </sj:gridcol>
  <sj:gridcol width="5%">
        <html:text name="cmiObjectForm" property="maxPoolSize" maxlength="120" style=" width : 260px;">
        <bean:write name="cmiObjectForm" property="maxPoolSize" />
        </html:text>
      </sj:gridcol>
      <sj:gridcol width="5%">
      </sj:gridcol>
        </sj:gridrow>
    <sj:gridrow>
    <sj:gridcol>
    </sj:gridcol>
    <sj:gridcol>
    <sj:jonasbutton
                  href="javascript:submitHidden('cmiObjectForm','action','poolInfos')"
                  disabled="true" styleClass="button">
                 Modify
                </sj:jonasbutton>&nbsp;&nbsp;
     </sj:gridcol>
     <sj:gridcol width="5%">

     </sj:gridcol>

        </sj:gridrow>
        </sj:jonasgrid>
        <logic:present name="<%=Globals.ERROR_KEY%>">
          <sj:jonasgrid>
            <sj:gridrow styleClass="errors">
              <sj:gridcol styleClass="errors">
                <html:errors />
              </sj:gridcol>
            </sj:gridrow>
          </sj:jonasgrid>
          <sj:panelSeparator />
        </logic:present>
      </sj:panel>
    </sj:tabs>
  </html:form>
  <%@ include file="../common/end.jsp"%>
</body>
</html:html>
