/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.webapp.jonasadmin.cmi;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import javax.management.Attribute;

import org.apache.struts.action.ActionForm;

public class CmiForm extends ActionForm {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    public List<ClusterAttribute> cmiClusterList = new ArrayList();
    //protocol name and protocol value(url)
    Set<Attribute> protocols = new HashSet();
    
    int delayToRefresh = 0;
    String action = null;


    /**
     * @return the cmiClusterList
     */
    public List<ClusterAttribute> getCmiClusterList() {
        return cmiClusterList;
    }
    /**
     * @param cmiClusterList the cmiClusterList to set
     */
    public void setCmiClusterList(List<ClusterAttribute> cmiClusterList) {
        this.cmiClusterList = cmiClusterList;
    }
	/**
	 * @return the protocols
	 */
	public Set<Attribute> getProtocols() {
		return protocols;
	}
	/**
	 * @param protocols the protocols to set
	 */
	public void setProtocols(Set<Attribute> protocols) {
		this.protocols = protocols;
	}
	/**
	 * @return the delayToRefresh
	 */
	public int getDelayToRefresh() {
		return delayToRefresh;
	}
	/**
	 * @param delayToRefresh the delayToRefresh to set
	 */
	public void setDelayToRefresh(int delayToRefresh) {
		this.delayToRefresh = delayToRefresh;
	}
	/**
	 * @return the action
	 */
	public String getAction() {
		return action;
	}
	/**
	 * @param action the action to set
	 */
	public void setAction(String action) {
		this.action = action;
	}









}
