<%@ page language="java" contentType="text/html;charset=utf-8"%>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj"%>

<html:html locale="true">
<%@ include file="../common/begin.jsp"%>
<body class="content">
  <script type="text/javascript">
var displayUserClusterTitle = 0;
</script>
  <html:form action="/DisplayCmi">
    <html:hidden property="action" />
    <sj:titleContent usingWhere="true" tomThumb="true" />
    <sj:tabs usingWhere="true" heightTab="20">
      <sj:tab forwardControl="ActionEditJonasServer">
        <bean:message key="tab.server.jonas" />
      </sj:tab>
      <sj:tab forward="ActionEditJmxServer">
        <bean:message key="tab.server.jmx" />
      </sj:tab>
      <sj:tab forward="ActionDisplayCmi" selected="true">CMI</sj:tab>
      <input name="action" type="hidden" value="add" />
      <logic:present name="newcmi">
        <sj:panel>
          <sj:jonasgrid>
            <sj:gridrow>
              <sj:gridcol>
         New cmi Mbean is not registered
       </sj:gridcol>
            </sj:gridrow>
          </sj:jonasgrid>
        </sj:panel>
      </logic:present>
      <logic:notPresent name="newcmi">
        <sj:panel>
          <sj:jonasgrid>
            <sj:jgRowTitle>
              <sj:jgColTitle>
            CMI Global Properties
          </sj:jgColTitle>
            </sj:jgRowTitle>
          </sj:jonasgrid>
          <sj:jonasgrid>
            <sj:gridrow>
              <sj:gridcol width="5%">
        Refresh time
      </sj:gridcol>
              <sj:gridcol width="5%">
                <html:text name="cmiForm" property="delayToRefresh"
                  maxlength="150" style=" width : 260px;">
                  <bean:write name="cmiForm" property="delayToRefresh" />
                </html:text>
              </sj:gridcol>
              <sj:gridcol width="5%">
                <sj:jonasbutton
                  href="javascript:submitHidden('cmiForm','action','refresh')"
                  disabled="true" styleClass="button">
                 Modify
                </sj:jonasbutton>
              </sj:gridcol>
            </sj:gridrow>
          </sj:jonasgrid>
          <!-- protocols -->
          <sj:jonasgrid>
            <sj:jgRowTitle>
              <sj:jgColTitle>
            Protocols
          </sj:jgColTitle>
            </sj:jgRowTitle>
          </sj:jonasgrid>

          <sj:jonasgrid>
            <logic:iterate id="protocol" name="cmiForm" property="protocols">
              <sj:gridrow>
                <sj:gridcol width="5%">
                  <bean:write name="protocol" property="name" />
                </sj:gridcol>
                <sj:gridcol width="5%">
                  <bean:write name="protocol" property="value" />
                </sj:gridcol>
                <sj:gridcol width="5%">
                </sj:gridcol>
              </sj:gridrow>
            </logic:iterate>
          </sj:jonasgrid>


          <sj:jonasgrid>
            <sj:jgRowTitle>
              <sj:jgColTitle>
           Clusters
          </sj:jgColTitle>
            </sj:jgRowTitle>
          </sj:jonasgrid>
          <sj:jonasgrid>

            <logic:iterate id="clusterItem" name="cmiForm"
              property="cmiClusterList">
              <fieldset>
                <logic:equal name="clusterItem" property="name" value="System">

                  <!-- System cluster -->
                </logic:equal>



                <!-- User clusters -->
                <script type="text/javascript">
        if(displayUserClusterTitle == 0) {</script>
                <logic:notEqual name="clusterItem" property="name"
                  value="System">
                </logic:notEqual>
                <script type="text/javascript">
             displayUserClusterTitle = 1;
              }
      </script>
                <sj:gridrow>
                  <!-- Write the cluster naem here -->
                  <sj:gridcol width="5%">
                Name
              </sj:gridcol>
                  <sj:gridcol width="5%">
                    <strong> <bean:write name="clusterItem"
                        property="name" /> </strong>
                  </sj:gridcol>
                  <sj:gridcol width="5%">
                  </sj:gridcol>
                </sj:gridrow>
                <sj:jonasgrid>
                  <sj:gridrow>
                    <sj:gridcol>
                      <em>Objects :</em>
                    </sj:gridcol>
                  </sj:gridrow>
                </sj:jonasgrid>
                <sj:jonasgrid>
                  <logic:iterate id="objectItem" name="clusterItem"
                    property="objectList">
                    <sj:gridrow>
                      <sj:gridcol width="5%">
                      </sj:gridcol>
                      <sj:gridcol width="5%">
                        <html:img src="../images/icon/bullet.png"
                          title="Cluster object" />&nbsp;<html:link
                          forward="ActionCmiObject" styleClass="panel"
                          paramId="objName" paramName="objectItem">
                          <bean:write name="objectItem" />
                        </html:link>
                      </sj:gridcol>
                      <sj:gridcol width="5%"></sj:gridcol>
                    </sj:gridrow>
                  </logic:iterate>
                </sj:jonasgrid>
              </fieldset>
            </logic:iterate>
          </sj:jonasgrid>
          <logic:present name="<%=Globals.ERROR_KEY%>">
            <sj:jonasgrid>
              <sj:gridrow styleClass="errors">
                <sj:gridcol styleClass="errors">
                  <html:errors />
                </sj:gridcol>
              </sj:gridrow>
            </sj:jonasgrid>
            <sj:panelSeparator />
          </logic:present>
        </sj:panel>
      </logic:notPresent>
    </sj:tabs>
  </html:form>
  <%@ include file="../common/end.jsp"%>
</body>
</html:html>
