/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.lib.management.javaee;
/**
 * This class is extended by the JSR77 J2EEResource MBeans.
 * @see org.ow2.jonas.lib.management.javaee.J2EEResource
 * @author danesa
 */
public class J2EEResource extends J2EEManagedObject {
    /**
     * MBean constructor
     * @param objectName object name of the managed object
     * @param stateManageable if true, this managed object implements J2EE State Management Model
     * @param statisticsProvider if true, this managed object implements the J2EE StatisticProvide Model
     * @param eventProvider  if true, this managed object implements the J2EE EventProvider Model
     */
    public J2EEResource(String objectName, boolean stateManageable, boolean statisticsProvider, boolean eventProvider) {
        super(objectName, stateManageable, statisticsProvider, eventProvider);
    }

    /**
     * MBean constructor
     * @param objectName object name of the managed object
     */
    public J2EEResource(String objectName) {
        super(objectName);
    }
}
